Bug 164306 - panic in smp_call_function_interrupt() on x86-64
panic in smp_call_function_interrupt() on x86-64
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-26 15:39 EDT by Bill Peck
Modified: 2015-01-04 17:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:23:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2005-07-26 15:39:14 EDT
Description of problem:
After installing FC4 GOLD on an IBM wildhorse system the box panics upon first
bootup. 

Version-Release number of selected component (if applicable):
2.6.11-1.1369_FC4smp on FC4 Gold X86_64.

How reproducible:
Everytime

Additional info:

Booting 'Fedora Core (2.6.11-1.1369_FC4smp)'

root (hd0,0)
 Filesystem type is ext2fs, partition type 0x83
kernel /vmlinuz-2.6.11-1.1369_FC4smp ro root=/dev/VolGroup00/LogVol00 rhgb cons
ole=ttyS0,115200
   [Linux-bzImage, setup=0x1e00, size=0x1bb5c6]
initrd /initrd-2.6.11-1.1369_FC4smp.img
   [Linux-initrd @ 0x37e03000, 0x1eca2c bytes]

Bootdata ok (command line is ro root=/dev/VolGroup00/LogVol00 rhgb
console=ttyS0,115200)
Linux version 2.6.11-1.1369_FC4smp (bhcompile@dolly.build.redhat.com) (gcc
version 4.0.0 20050525 (Red Hat 4.0.0-9)) #1 SMP Thu Jun 2 23:16:33 EDT 2005
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009d400 (usable)
 BIOS-e820: 000000000009d400 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000d2000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000007ff60000 (usable)
 BIOS-e820: 000000007ff60000 - 000000007ff72000 (ACPI data)
 BIOS-e820: 000000007ff72000 - 000000007ff80000 (ACPI NVS)
 BIOS-e820: 000000007ff80000 - 0000000080000000 (reserved)
 BIOS-e820: 00000000c0000000 - 00000000c0002000 (reserved)
 BIOS-e820: 00000000e0000000 - 00000000f0000000 (reserved)
 BIOS-e820: 00000000fec00000 - 00000000fec00400 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
 BIOS-e820: 00000000fff80000 - 0000000100000000 (reserved)
 BIOS-e820: 0000000100000000 - 0000000180000000 (usable)
Scanning NUMA topology in Northbridge 24
Number of nodes 2
Node 0 MemBase 0000000000000000 Limit 000000007fffffff
Node 1 MemBase 0000000100000000 Limit 000000017fffffff
node 1 shift 24 addr 100000000 conflict 0
Using node hash shift of 25
Bootmem setup node 0 0000000000000000-000000007fffffff
Bootmem setup node 1 0000000100000000-000000017fffffff
ACPI: PM-Timer IO Port: 0x8008
ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
Processor #0 15:1 APIC version 16
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] enabled)
Processor #1 15:1 APIC version 16
ACPI: LAPIC (acpi_id[0x02] lapic_id[0x02] enabled)
Processor #2 15:1 APIC version 16
ACPI: LAPIC (acpi_id[0x03] lapic_id[0x03] enabled)
Processor #3 15:1 APIC version 16
ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1])
ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
ACPI: LAPIC_NMI (acpi_id[0x02] high edge lint[0x1])
ACPI: LAPIC_NMI (acpi_id[0x03] high edge lint[0x1])
ACPI: IOAPIC (id[0x04] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 4, version 17, address 0xfec00000, GSI 0-23
ACPI: IOAPIC (id[0x05] address[0xc0000000] gsi_base[24])
IOAPIC[1]: apic_id 5, version 17, address 0xc0000000, GSI 24-27
ACPI: IOAPIC (id[0x06] address[0xc0001000] gsi_base[28])
IOAPIC[2]: apic_id 6, version 17, address 0xc0001000, GSI 28-31
ACPI: IOAPIC (id[0x07] address[0xc0500000] gsi_base[32])
IOAPIC[3]: apic_id 7, version 17, address 0xc0500000, GSI 32-55
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 high edge)
Setting APIC routing to flat
Using ACPI (MADT) for SMP configuration information
Allocating PCI resources starting at 80000000 (gap: 80000000:40000000)
Checking aperture...
CPU 0: aperture @ 80000000 size 32 MB
Aperture from northbridge cpu 0 too small (32 MB)
No AGP bridge found
Your BIOS doesn't leave a aperture memory hole
Please enable the IOMMU option in the BIOS setup
Putting aperture at 80000000-83ffffff
Built 2 zonelists
Kernel command line: ro root=/dev/VolGroup00/LogVol00 rhgb console=ttyS0,115200
Initializing CPU#0
PID hash table entries: 4096 (order: 12, 131072 bytes)
time.c: Using 3.579545 MHz PM timer.
time.c: Detected 2193.790 MHz processor.
Console: colour VGA+ 80x25
Dentry cache hash table entries: 1048576 (order: 11, 8388608 bytes)
Inode-cache hash table entries: 524288 (order: 10, 4194304 bytes)
Memory: 4114884k/6291456k available (2434k kernel code, 0k reserved, 1292k data,
228k init)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 256
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 1024K (64 bytes/line)
CPU 0(2) -> Node 0 -> Core 0
Using local APIC timer interrupts.
Detected 12.464 MHz APIC timer.
softlockup thread 0 started up.
Booting processor 1/1 rip 6000 rsp ffff810102859f58
Initializing CPU#1
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 1024K (64 bytes/line)
CPU 1(2) -> Node 0 -> Core 1
AMD Opteron(tm) Processor - model unknown stepping 02
CPU 1: Syncing TSC to CPU 0.
Booting processor 2/2 rip 6000 rsp ffff81007fe71f58
Initializing CPU#2
softlockup thread 1 started up.
4374.52 BogoMIPS (lpj=2187264)
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 1024K (64 bytes/line)
CPU 2(2) -> Node 1 -> Core 0
AMD Opteron(tm) Processor - model unknown stepping 02
general protection fault: 0000 [1] SMP 
CPU 2 
Modules linked in:
Pid: 0, comm: swapper Not tainted 2.6.11-1.1369_FC4smp
RIP: 0010:[<ffffffff8011ae27>] <ffffffff8011ae27>{smp_call_function_interrupt+71}
RSP: 0018:ffff81017ff33fa8  EFLAGS: 00010006
RAX: ffff81007fe71fd8 RBX: 00000000f000933a RCX: 0000000000000000
RDX: f000ff5300000001 RSI: ffffffff80375549 RDI: f000ff53f000e2c3
RBP: ffff81007fe71e58 R08: 000000000000000a R09: 0000000000000000
R10: 0000000000000000 R11: 0000000000000000 R12: 0000000000000000
R13: 0000000000000000 R14: 0000000000000000 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffffffff80510780(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 0000000000000000 CR3: 0000000000101000 CR4: 00000000000006e0
Process swapper (pid: 0, threadinfo ffff81007fe70000, task ffff81017ffd9170)
Stack: 0000000000000c06 ffffffff8010f38d ffff81007fe71e58  <EOI> 0000000000000000 
       0000000000000000 0000000000000000 0000000000000000 0000000000000000 
       0000000000000c06 0000000000000000 
Call Trace: <IRQ> <ffffffff8010f38d>{call_function_interrupt+133}
        <EOI> <ffffffff8052c205>{setup_secondary_APIC_clock+21}
       <ffffffff8052ae7d>{start_secondary+29} 

Code: ff d2 e8 02 45 02 00 85 db 74 0e 0f ae f0 48 8b 05 a4 45 39 
RIP <ffffffff8011ae27>{smp_call_function_interrupt+71} RSP <ffff81017ff33fa8>
 <0>Kernel panic - not syncing: Aiee, killing interrupt handler!

Call Trace: <IRQ> <ffffffff80139195>{panic+133} <ffffffff8035d751>{__down_read+49}
       <ffffffff8020dcc1>{__up_read+33} <ffffffff8013c007>{do_exit+71}
       <ffffffff80265a38>{do_unblank_screen+40} <ffffffff8011066d>{die+77}
       <ffffffff80110aee>{do_general_protection+270}
<ffffffff8010f5b5>{error_exit+0}
       <ffffffff8011ae27>{smp_call_function_interrupt+71}
<ffffffff8011ae29>{smp_call_function_interrupt+73}
       <ffffffff8010f38d>{call_function_interrupt+133}  <EOI>
<ffffffff8052c205>{setup_secondary_APIC_clock+21}
       <ffffffff8052ae7d>{start_secondary+29} 
 Badness in panic at kernel/panic.c:119 (Not tainted)

Call Trace: <IRQ> <ffffffff80139323>{panic+531} <ffffffff8035d751>{__down_read+49}
       <ffffffff8020dcc1>{__up_read+33} <ffffffff8013c007>{do_exit+71}
       <ffffffff80265a38>{do_unblank_screen+40} <ffffffff8011066d>{die+77}
       <ffffffff80110aee>{do_general_protection+270}
<ffffffff8010f5b5>{error_exit+0}
       <ffffffff8011ae27>{smp_call_function_interrupt+71}
<ffffffff8011ae29>{smp_call_function_interrupt+73}
       <ffffffff8010f38d>{call_function_interrupt+133}  <EOI>
<ffffffff8052c205>{setup_secondary_APIC_clock+21}
       <ffffffff8052ae7d>{start_secondary+29} 
APIC error on CPU1: 00(08)
APIC error on CPU1: 08(08)
APIC error on CPU1: 08(08)
APIC error on CPU1: 08(08)
APIC error on CPU1: 08(08)
APIC error on CPU1: 08(08)
APIC error on CPU1: 08(08)
APIC error on CPU1: 08(08)
APIC error on CPU1: 08(08)
APIC error on CPU1: 08(08)
APIC error on CPU1: 08(08)
Comment 1 Dave Jones 2005-07-28 02:34:07 EDT
can you boot the up kernel, and update to the errata kernel, and try that ?
Comment 2 Bill Peck 2005-08-02 16:38:16 EDT
Found out that the panic only happens with the Stock SMP kernel with
console=ttyS0,115200.  If I turn off serial console the system boots fine.

I also tried the latest errata kernel and get the same results.  with serial
console enabled I get the panic, with serial console off it boots fine.

CPU1: Thermal monitoring enabled (TM1)
              Intel(R) Pentium(R) D CPU 3.20GHz stepping 04
CPU 1: Syncing TSC to CPU 0.
Booting processor 2/1 rip 6000 rsp ffff810002139f58
Initializing CPU#2
6373.37 BogoMIPS (lpj=3186688)
CPU: Trace cache: 12K uops, L1 D cache: 16K
CPU: L2 cache: 1024K
CPU: Physical Processor ID: 0
CPU2: Thermal monitoring enabled (TM1)
              Intel(R) Pentium(R) D CPU 3.20GHz stepping 04
APIC error on CPU2: 00(40)
general protection fault: 0000 [1] SMP
CPU 2
Modules linked in:
Pid: 0, comm: swapper Not tainted 2.6.12-1.1398_FC4smp
RIP: 0010:[<ffffffff8011ae27>] <ffffffff8011ae27>{smp_call_function_interrupt+71}
RSP: 0018:ffff81000213ffa8  EFLAGS: 00010006
RAX: ffff810002139fd8 RBX: 00000000f000aad4 RCX: 0000000000000000
RDX: f000ac0200000001 RSI: ffffffff803734a9 RDI: f000ac02f000e2c3
RBP: ffff810002139e58 R08: 000000000000000a R09: 0000000000000000
R10: 0000000000000000 R11: 0000000000000000 R12: 0000000000000000
R13: 0000000000000000 R14: 0000000000000000 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffffffff8050d880(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 0000000000000000 CR3: 0000000000101000 CR4: 00000000000006e0
Process swapper (pid: 0, threadinfo ffff810002138000, task ffff8100020e4840)
Stack: 0000000000000000 ffffffff8010f38d ffff810002139e58  <EOI> 0000000000000000
       0000000000000000 0000000000000000 0000000000000000 0000000000000000
       0000000000000000 0000000000000000
Call Trace: <IRQ> <ffffffff8010f38d>{call_function_interrupt+133}
        <EOI> <ffffffff80528205>{setup_secondary_APIC_clock+21}
       <ffffffff80526e7d>{start_secondary+29}

Code: ff d2 e8 02 45 02 00 85 db 74 0e 0f ae f0 48 8b 05 a4 17 39
RIP <ffffffff8011ae27>{smp_call_function_interrupt+71} RSP <ffff81000213ffa8>
 <0>Kernel panic - not syncing: Aiee, killing interrupt handler!

Call Trace: <IRQ> <ffffffff801391a5>{panic+133} <ffffffff8035b681>{__down_read+49}
       <ffffffff8020e181>{__up_read+33} <ffffffff8013c017>{do_exit+71}
       <ffffffff80265f18>{do_unblank_screen+40} <ffffffff8011066d>{die+77}
       <ffffffff80110aee>{do_general_protection+270}
<ffffffff8010f5b5>{error_exit+0}
       <ffffffff8011ae27>{smp_call_function_interrupt+71}
<ffffffff8011b3e1>{smp_error_interrupt+97}
       <ffffffff8010f38d>{call_function_interrupt+133}  <EOI>
<ffffffff80528205>{setup_secondary_APIC_clock+21}
       <ffffffff80526e7d>{start_secondary+29}
 Badness in panic at kernel/panic.c:119 (Not tainted)

Call Trace: <IRQ> <0>general protection fault: 0000 [2]
<ffffffff80139333>{panic+531} <ffffffff8035b681>{__down_read+49}
       <ffffffff8020e181>{__up_read+33} <ffffffff8013c017>{do_exit+71}
       <ffffffff80265f18>{do_unblank_screen+40} <ffffffff8011066d>{die+77}
       <ffffffff80110aee>{do_general_protection+270}
<ffffffff8010f5b5>{error_exit+0}
       <ffffffff8011ae27>{smp_call_function_interrupt+71}
<ffffffff8011b3e1>{smp_error_interrupt+97}
       <ffffffff8010f38d>{call_function_interrupt+133}  <EOI>
<ffffffff80528205>{setup_secondary_APIC_clock+21}
       <ffffffff80526e7d>{start_secondary+29}
SMP
CPU 1
Modules linked in:
Pid: 0, comm: swapper Not tainted 2.6.12-1.1398_FC4smp
RIP: 0010:[<ffffffff8011ae27>] <ffffffff8011ae27>{smp_call_function_interrupt+71}
RSP: 0018:ffff81003fe37fa8  EFLAGS: 00010006
RAX: ffff81003fe31fd8 RBX: 00000000f000aad4 RCX: 0000000000000000
RDX: f000ac0200000001 RSI: ffff8100020d90b0 RDI: f000ac02f000e2c3
RBP: ffff81003fe31e48 R08: ffff81003fe30000 R09: 0000000000000001
R10: 0000000000000000 R11: 0000000000000000 R12: 0000000000000001
R13: 0000000000000ea2 R14: ffff81003fe31f20 R15: ffff81003fe31f18
FS:  0000000000000000(0000) GS:ffffffff8050d800(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 0000000000000000 CR3: 0000000000101000 CR4: 00000000000006e0
Process swapper (pid: 0, threadinfo ffff81003fe30000, task ffff8100020d90b0)
Stack: 0000000000000004 ffffffff8010f38d ffff81003fe31e48  <EOI> ffff81003fe31f18
       ffff81003fe31f20 0000000000000ea2 0000000000000001 0000000000000040
       0000000000000004 0000000000000000
Call Trace: <IRQ> <ffffffff8010f38d>{call_function_interrupt+133}
        <EOI> <ffffffff8010d490>{mwait_idle+96} <ffffffff8010d407>{cpu_idle+71}
       <ffffffff80527094>{start_secondary+564}

Code: ff d2 e8 02 45 02 00 85 db 74 0e 0f ae f0 48 8b 05 a4 17 39
RIP <ffffffff8011ae27>{smp_call_function_interrupt+71} RSP <ffff81003fe37fa8>
 <0>Kernel panic - not syncing: Aiee, killing interrupt handler!

Call Trace: <IRQ> <ffffffff801391a5>{panic+133} <ffffffff8035b681>{__down_read+49}
       <ffffffff8035b681>{__down_read+49} <ffffffff8020e181>{__up_read+33}
       <ffffffff8013c017>{do_exit+71} <ffffffff80265f18>{do_unblank_screen+40}
       <ffffffff8011066d>{die+77} <ffffffff80110aee>{do_general_protection+270}
       <ffffffff8010f5b5>{error_exit+0}
<ffffffff8011ae27>{smp_call_function_interrupt+71}
       <ffffffff8010f38d>{call_function_interrupt+133}  <EOI>
<ffffffff8010d490>{mwait_idle+96}
       <ffffffff8010d407>{cpu_idle+71} <ffffffff80527094>{start_secondary+564}

Comment 3 Dave Jones 2005-09-30 02:48:49 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 4 Dave Jones 2005-11-10 14:55:22 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 5 Dave Jones 2006-02-03 00:50:49 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 John Thacker 2006-05-04 21:23:24 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.